Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.parsers
Class DOMASBuilderImpl

    java.lang.Object
      weblogic.apache.xerces.parsers.XMLParser
          weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
              weblogic.apache.xerces.parsers.AbstractDOMParser
                  weblogic.apache.xerces.parsers.DOMBuilderImpl
                      weblogic.apache.xerces.parsers.DOMASBuilderImpl

All Implemented Interfaces:
  org.apache.xerces.dom3.as.DOMASBuilder, DOMBuilder, XMLDocumentHandler, XMLDTDContentModelHandler, XMLDTDHandler

Deprecated. please use JDK supplied XML parsers and transformers

public class DOMASBuilderImpl
extends DOMBuilderImpl
implements org.apache.xerces.dom3.as.DOMASBuilder

This is Abstract Schema DOM Builder class. It extends the DOMBuilderImpl class. Provides support for preparsing schemas.

Field Summary
`protected static String` | `ENTITY_MANAGER` Deprecated.
`protected static String` | `ERROR_REPORTER` Deprecated.
`protected ASModelImpl` | `fAbstractSchema` Deprecated.
`protected XSGrammarBucket` | `fGrammarBucket` Deprecated.
`protected static String` | `SCHEMA_FULL_CHECKING` Deprecated.
`protected static String` | `SYMBOL_TABLE` Deprecated.

Fields inherited from class weblogic.apache.xerces.parsers.DOMBuilderImpl
`DEBUG, DTD_VALIDATION, DYNAMIC_VALIDATION, fErrorHandler, fSchemaType, NAMESPACES, VALIDATION_FEATURE, XML_SCHEMA_VALIDATION, XMLSCHEMA`

Fields inherited from class weblogic.apache.xerces.parsers.AbstractDOMParser
`CORE_DOCUMENT_CLASS_NAME, CREATE_CDATA_NODES_FEATURE, CREATE_ENTITY_REF_NODES, CURRENT_ELEMENT_NODE, DEFAULT_DOCUMENT_CLASS_NAME, DEFER_NODE_EXPANSION, DOCUMENT_CLASS_NAME, fBaseURIStack, fCreateCDATANodes, fCreateEntityRefNodes, fCurrentCDATASection, fCurrentCDATASectionIndex, fCurrentEntityDecl, fCurrentNode, fCurrentNodeIndex, fDeferNodeExpansion, fDeferredDocumentImpl, fDeferredEntityDecl, fDocument, fDocumentClassName, fDocumentImpl, fDocumentIndex, fDocumentType, fDocumentTypeIndex, fDOMFilter, fFilterReject, fFirstChunk, fInCDATASection, fIncludeComments, fIncludeIgnorableWhitespace, fInDocument, fInDTD, fInDTDExternalSubset, fInternalSubset, fNamespaceAware, fNormalizeData, fRejectedElement, fSkippedElemStack, fStorePSVI, fStringBuffer, INCLUDE_COMMENTS_FEATURE, INCLUDE_IGNORABLE_WHITESPACE, NORMALIZE_DATA, PSVI_DOCUMENT_CLASS_NAME`

Fields inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`fDocumentSource`

Fields inherited from class weblogic.apache.xerces.parsers.XMLParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Fields inherited from interface org.w3c.dom.ls.DOMBuilder
`ACTION_APPEND_AS_CHILDREN, ACTION_INSERT_AFTER, ACTION_INSERT_BEFORE, ACTION_REPLACE`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`DOMASBuilderImpl()` Deprecated. Constructs a DOM Builder using the dtd/xml schema parser configuration.
`DOMASBuilderImpl(SymbolTable symbolTable)` Deprecated. Constructs a DOM Builder using the specified symbol table.
`DOMASBuilderImpl(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Deprecated. Constructs a DOM Builder using the specified symbol table and grammar pool.
`DOMASBuilderImpl(XMLGrammarCachingConfiguration config)` Deprecated. Constructs a DOM Builder using the specified parser configuration.

Method Summary
`org.apache.xerces.dom3.as.ASModel` | `getAbstractSchema()` Deprecated. Associate an `ASModel` with a document instance.
`org.apache.xerces.dom3.as.ASModel` | `parseASInputSource(DOMInputSource is)` Deprecated. Parse a Abstract Schema from a location identified by an `DOMInputSource`.
`org.apache.xerces.dom3.as.ASModel` | `parseASURI(String uri)` Deprecated. Parse a Abstract Schema from a location identified by an URI.
`void` | `setAbstractSchema(org.apache.xerces.dom3.as.ASModel abstractSchema)` Deprecated. Associate an `ASModel` with a document instance.

Methods inherited from class weblogic.apache.xerces.parsers.DOMBuilderImpl
`canSetFeature, endDocument, getEntityResolver, getErrorHandler, getFeature, getFilter, initGrammarPool, parse, parseURI, parseWithContext, reset, setEntityResolver, setErrorHandler, setFeature, setFilter`

Methods inherited from class weblogic.apache.xerces.parsers.AbstractDOMParser
`attributeDecl, characters, comment, createAttrNode, createElementNode, doctypeDecl, elementDecl, emptyElement, endAttlist, endCDATA, endConditional, endDTD, endElement, endExternalSubset, endGeneralEntity, endParameterEntity, endPrefixMapping, externalEntityDecl, getDocument, getDocumentClassName, handleBaseURI, handleBaseURI, ignorableWhitespace, ignoredCharacters, internalEntityDecl, notationDecl, processingInstruction, setCharacterData, setDocumentClassName, startAttlist, startCDATA, startConditional, startDocument, startDTD, startElement, startExternalSubset, startGeneralEntity, startParameterEntity, startPrefixMapping, textDecl, unparsedEntityDecl, xmlDecl`

Methods inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`any, element, empty, endContentModel, endGroup, getDocumentSource, occurrence, pcdata, separator, setDocumentSource, startContentModel, startGroup`

Methods inherited from class weblogic.apache.xerces.parsers.XMLParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.ls.DOMBuilder
`canSetFeature, getEntityResolver, getErrorHandler, getFeature, getFilter, parse, parseURI, parseWithContext, setEntityResolver, setErrorHandler, setFeature, setFilter`

Field Detail

### ENTITY_MANAGER

    protected static final String ENTITY_MANAGER

  Deprecated.
  See Also:
    Constant Field Values

### ERROR_REPORTER

    protected static final String ERROR_REPORTER

  Deprecated.
  See Also:
    Constant Field Values

### fAbstractSchema

    protected ASModelImpl fAbstractSchema

  Deprecated.

### fGrammarBucket

    protected XSGrammarBucket fGrammarBucket

  Deprecated.

### SCHEMA_FULL_CHECKING

    protected static final String SCHEMA_FULL_CHECKING

  Deprecated.
  See Also:
    Constant Field Values

### SYMBOL_TABLE

    protected static final String SYMBOL_TABLE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### DOMASBuilderImpl

    public DOMASBuilderImpl()

  Deprecated.
  Constructs a DOM Builder using the dtd/xml schema parser configuration.

### DOMASBuilderImpl

    public DOMASBuilderImpl(SymbolTable symbolTable)

  Deprecated.
  Constructs a DOM Builder using the specified symbol table.

### DOMASBuilderImpl

    public DOMASBuilderImpl(SymbolTable symbolTable,
                            XMLGrammarPool grammarPool)

  Deprecated.
  Constructs a DOM Builder using the specified symbol table and grammar pool. The grammarPool implementation should extent the default implementation; otherwise, correct functioning of this class may not occur.

### DOMASBuilderImpl

    public DOMASBuilderImpl(XMLGrammarCachingConfiguration config)

  Deprecated.
  Constructs a DOM Builder using the specified parser configuration. We must demand that the configuration extend XMLGrammarCachingConfiguration to make sure all relevant methods/features are available.

Method Detail

### getAbstractSchema

    public org.apache.xerces.dom3.as.ASModel getAbstractSchema()

  Deprecated.
  Associate an `ASModel` with a document instance. This `ASModel` will be used by the " `validate-if-schema`" and " `datatype-normalization`" options during the load of a new `Document`.

  Specified by:
    `getAbstractSchema` in interface `org.apache.xerces.dom3.as.DOMASBuilder`

### parseASInputSource

    public org.apache.xerces.dom3.as.ASModel parseASInputSource(DOMInputSource is)
                                                         throws org.apache.xerces.dom3.as.DOMASException,
                                                                Exception

  Deprecated.
  Parse a Abstract Schema from a location identified by an `DOMInputSource`.

  Specified by:
    `parseASInputSource` in interface `org.apache.xerces.dom3.as.DOMASBuilder`
  Parameters:
    `is` - The `DOMInputSource` from which the source Abstract Schema is to be read.
  Returns:
    The newly created `ASModel`.
  Throws:
    `org.apache.xerces.dom3.as.DOMASException` - Exceptions raised by `parseASURI()` originate with the installed ErrorHandler, and thus depend on the implementation of the `DOMErrorHandler` interfaces. The default error handlers will raise a `DOMASException` if any form of Abstract Schema inconsistencies or warning occurs during the parse, but application defined errorHandlers are not required to do so.
    WRONG_MIME_TYPE_ERR: Raised when `mimeTypeCheck` is true and the inputsource has an incorrect MIME Type. See attribute `mimeTypeCheck`.
    `DOMSystemException` - Exceptions raised by `parseURI()` originate with the installed ErrorHandler, and thus depend on the implementation of the `DOMErrorHandler` interfaces. The default error handlers will raise a DOMSystemException if any form I/O or other system error occurs during the parse, but application defined error handlers are not required to do so.
    `Exception`

### parseASURI

    public org.apache.xerces.dom3.as.ASModel parseASURI(String uri)
                                                 throws org.apache.xerces.dom3.as.DOMASException,
                                                        Exception

  Deprecated.
  Parse a Abstract Schema from a location identified by an URI.

  Specified by:
    `parseASURI` in interface `org.apache.xerces.dom3.as.DOMASBuilder`
  Parameters:
    `uri` - The location of the Abstract Schema to be read.
  Returns:
    The newly created `Abstract Schema`.
  Throws:
    `org.apache.xerces.dom3.as.DOMASException` - Exceptions raised by `parseASURI()` originate with the installed ErrorHandler, and thus depend on the implementation of the `DOMErrorHandler` interfaces. The default error handlers will raise a `DOMASException` if any form of Abstract Schema inconsistencies or warning occurs during the parse, but application defined errorHandlers are not required to do so.
    WRONG_MIME_TYPE_ERR: Raised when `mimeTypeCheck` is `true` and the inputsource has an incorrect MIME Type. See attribute `mimeTypeCheck`.
    `DOMSystemException` - Exceptions raised by `parseURI()` originate with the installed ErrorHandler, and thus depend on the implementation of the `DOMErrorHandler` interfaces. The default error handlers will raise a DOMSystemException if any form I/O or other system error occurs during the parse, but application defined error handlers are not required to do so.
    `Exception`

### setAbstractSchema

    public void setAbstractSchema(org.apache.xerces.dom3.as.ASModel abstractSchema)

  Deprecated.
  Associate an `ASModel` with a document instance. This `ASModel` will be used by the " `validate-if-schema`" and " `datatype-normalization`" options during the load of a new `Document`.

  Specified by:
    `setAbstractSchema` in interface `org.apache.xerces.dom3.as.DOMASBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD